using System.ComponentModel;
using Hotline.Exams.Base;
using SqlSugar;

namespace Hotline.Exams.Sourcewares
{
    /// <summary>
    /// 课件
    /// </summary>
    [Description("课件")]
    public class ExamSourceware:ExamBusinessEntity
    {
        /// <summary>
        /// 名称
        /// </summary>
        [Description("名称")]
        [SugarColumn(ColumnDescription = "名称")]
        public string Name { get; set; }

        /// <summary>
        /// 课件分类Id
        /// </summary>
        [Description("课件分类Id")]
        [SugarColumn(ColumnDescription = "课件分类Id")]
        public string CategoryId { get; set; }

        /// <summary>
        /// 附件Id
        /// </summary>
        [Description("附件Id")]
        [SugarColumn(ColumnDescription = "附件Id")]
        public string AttachmentId { get; set; }

        /// <summary>
        /// 课件类型
        /// </summary>
        [Description("课件类型")]
        [SugarColumn(ColumnDescription = "课件类型")]
        public string SourcewareType { get; set; }
    }
}
